/*
 *			s k i p n e x t . c
 */

/*)LIBRARY
*/

#ifdef DOCUMENTATION

title	skipne	Transfer Next Data Item To Buffer
index		transfer next Data item to buffer

synopsis

	int
	skipnext(ccp, dest)
	 char **ccp;	/* pointer to buffer pointer */
	 char *dest;	/* pointer to destination buffer */

description

	Skipnext() is a composite function call which may be invoked
	either from within a data item or in whitespace to find
	and get the next data item and transfer it to the required
	buffer.
	Returns a pointer to where the data was picked up from.

bugs

author

	Machiavelli Systems

#endif




skipnext(ccp, dest)
char **ccp;		/* pointer to source pointer */
char *dest;		/* pointer to destination */

{
	int retval;	/* wot we return */

	/* over next white */
	retval = skip(ccp);

	/* get the data */
	getqtext(ccp, dest);

	/* return where the data was got */
	return (retval);
}


